Menu Close

Voyage Linux: Locale Error with Apt

apt, embedded, linux, locales, voyage

Voyage Linux is an embedded linux distribution.  I use it on some ALIX boards I have lying around, it is very stripped down, and as such there are a few annoyances which we have to fix.

The Error

This issue happens when attempting to install/upgrade packages using apt-get or aptitude.

perl: warning: Setting locale failed.<br />

perl: warning: Please check that your locale settings:<br />

    LANGUAGE = (unset),<br />

    LC_ALL = (unset),<br />

    LANG = &quot;en_US.utf8&quot;<br />

are supported and installed on your system.<br />

perl: warning: Falling back to the standard locale (&quot;C&quot;).

The Fix

We simply need to set the locales to use en_US.UTF-8 or whichever locale is correct for your situation.

# locale-gen –purge en_US.UTF-8<br />

# echo &quot;LANG=en_US.UTF-8&quot; &gt;&gt; /etc/default/locale<br />

# update-locale

Now subsequent runs of apt-get or aptitude will no longer generate the error.

Leave a Reply

Your email address will not be published. Required fields are marked *